CHFN(1)

NAZWA
chfn - zmienia informacje użytkownika typu finger

SKŁADNIA

chfn [-f imię-i-nazwisko] [-o nr-pokoju] [-p telefon-służbowy] [-h telefon-prywatny] [-u] [-V] [nazwa-użytkownika]

OPIS

chfn służy do zmieniania informacji typu finger. Są one przechowywane w pliku /etc/passwd i wyświetlane przez program finger. Linuksowe polecenie finger wyświetli cztery informacje, które można zmienić programem chfn: imię i nazwisko, numer pokoju oraz telefon służbowy i prywatny.

W wierszu polecenia można podać dowolną kombinację tych czterech informacji. Jeśli nie poda się żadnej, chfn wejdzie w tryb interaktywny.

W trybie interaktywnym, chfn zapyta o każde pole. Można wówczas wprowadzić nową informację lub wcisnąć return, aby pozostawić pole bez zmian. Wprowadzenie słowa kluczowego "none", utworzy puste pole.

chfn obsługuje wpisy niebędące lokalnymi (kerberos, LDAP, itp.) jeśli jest zlinkowany z libuser, w innym przypadku do wpisów nielokalnych proszę korzystać z ypchfn(1), lchfn(1) lub innej implementacji.

OPCJE

-f, --full-name imię-i-nazwisko
    Określa imię i nazwisko użytkownika.

-o, --office nr-pokoju
    Określa numer pokoju użytkownika.

-p, --office-phone telefon-służbowy
    Określa służbowy numer telefonu użytkownika.

-h, --home-phone telefon-prywatny
    Określa prywatny numer telefonu użytkownika.

-u, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi (od wersji 2.39 używana jest krótka opcja -V; wcześniejsze wersje korzystały z obecnie przestarzałego -v).

ELEMENTY PLIKU KONFIGURACYJNEGO

chfn odczytuje plik konfiguracyjny /etc/login.defs (zob. login.defs(5)). Proszę zauważyć, że plik konfiguracyjny mógł być dostarczony przez inny pakiet (np. shadow-utils). Poniższe elementy konfiguracji są istotne dla chfn:

CHFN_RESTRICT łańcuch
    Wskazuje pola, które może zmienić chfn.

    Wartość logiczna "yes" oznacza, że zmianie mogą ulec tylko pola: Office (numer pokoju), Office Phone (telefon służbowy) i Home Phone (telefon prywatny), a wartość logiczna "no" oznacza, że zmianie może ulec również pole Full Name (imię i nazwisko).

    Innym sposobem określenia pól, które można zmienić są ich skróty: f = Full Name, r = Office (room), w = Office (work) Phone, h = Home Phone. Na przykład CHFN_RESTRICT "wh" pozwoli na zmianę numerów telefonu służbowego i prywatnego.

    Jeśli CHFN_RESTRICT jest niezdefiniowane, to wszystkie informacje typu finger są tylko do odczytu. Tak jest domyślnie.

STATUS ZAKOŃCZENIA

Zwraca 0, jeśli operacja się powiodła, lub 1 w przeciwnym przypadku (lub gdy popełniono błąd w składni polecenia)

AUTORZY

ZOBACZ TAKŻE

chsh(1), finger(1), login.defs(5), passwd(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie chfn jest częścią pakietu util-linux, który można pobrać ze strony